#pragma once
#include "levelmanager.hpp"
#include <SFML/Graphics/RenderWindow.hpp>

namespace gui {

  class MainUI {
    public:
    GameLevel $level;
    sf::RenderWindow $window;

    MainUI(GameLevel level) :
      $level(level),
      $window(sf::VideoMode({SCREEN_WIDTH, SCREEN_HEIGHT}), "Zed's Raycaster Thing")
    {
      $window.setVerticalSyncEnabled(VSYNC);
      $window.setFramerateLimit(FRAME_LIMIT);
    }
  };
}
